Package org.eclipse.rdf4j.sail.shacl.ast.targets

## Class TargetObjectsOf

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.targets.Target
  - - org.eclipse.rdf4j.sail.shacl.ast.targets.TargetObjectsOf

- All Implemented Interfaces:
    `org.eclipse.rdf4j.sail.shacl.ast.Exportable`, `org.eclipse.rdf4j.sail.shacl.ast.Targetable`

      public class TargetObjectsOf
      extends Target

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TargetObjectsOf​(Set<IRI> targetObjectsOf)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `PlanNode` | `getAdded​(ConnectionsGroup connectionsGroup, ConstraintComponent.Scope scope)` |
    `IRI` | `getPredicate()` |
    `String` | `getQueryFragment​(String subjectVariable, String objectVariable, RdfsSubClassOfReasoner rdfsSubClassOfReasoner, org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)` |
    `Stream<org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher>` | `getStatementMatcher​(org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable subject, org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable object, RdfsSubClassOfReasoner rdfsSubClassOfReasoner)` |
    `PlanNode` | `getTargetFilter​(ConnectionsGroup connectionsGroup, PlanNode parent)` |
    `String` | `getTargetQueryFragment​(org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable subject, org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable object, RdfsSubClassOfReasoner rdfsSubClassOfReasoner, org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)` |
    `int` | `hashCode()` |
    `void` | `toModel​(Resource subject, IRI predicate, Model model, Set<Resource> cycleDetection)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetObjectsOf

          public TargetObjectsOf​(Set<IRI> targetObjectsOf)

  - ### Method Detail

    - #### getPredicate

          public IRI getPredicate()

      Specified by:
        `getPredicate` in class `Target`

    - #### toModel

          public void toModel​(Resource subject,
                              IRI predicate,
                              Model model,
                              Set<Resource> cycleDetection)

    - #### getAdded

          public PlanNode getAdded​(ConnectionsGroup connectionsGroup,
                                   ConstraintComponent.Scope scope)

      Specified by:
        `getAdded` in class `Target`

    - #### getQueryFragment

          public String getQueryFragment​(String subjectVariable,
                                         String objectVariable,
                                         RdfsSubClassOfReasoner rdfsSubClassOfReasoner,
                                         org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)

      Specified by:
        `getQueryFragment` in class `Target`

    - #### getTargetFilter

          public PlanNode getTargetFilter​(ConnectionsGroup connectionsGroup,
                                          PlanNode parent)

      Specified by:
        `getTargetFilter` in class `Target`

    - #### getStatementMatcher

          public Stream<org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher> getStatementMatcher​(org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable subject,
                                                                                               org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable object,
                                                                                               RdfsSubClassOfReasoner rdfsSubClassOfReasoner)

    - #### getTargetQueryFragment

          public String getTargetQueryFragment​(org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable subject,
                                               org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable object,
                                               RdfsSubClassOfReasoner rdfsSubClassOfReasoner,
                                               org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`